package com.curiam.client.llamada;

import com.curiam.client.datos.CaseBeanTPB;
import com.curiam.client.datos.ResultBeanTPB;
import com.google.gwt.user.client.rpc.AsyncCallback;

/**
 * The async counterpart of <code>GreetingService</code>.
 */
public interface GreetingServiceAsync {
	void greetServer(CaseBeanTPB caseBeanTPB, AsyncCallback<ResultBeanTPB> callback);

	void leerFichero(String ruta, AsyncCallback<String> asyncCallback);
	
	void guardarEnFichero(String ruta, String ruta2,
			AsyncCallback<Boolean> asyncCallback);

	void ubicarfichero(String imagen, String string, String user,
			AsyncCallback<Boolean> callback);


	void eliminarFichero(String string, AsyncCallback<Boolean> asyncCallback);

	void crearDirectorio(String ruta, AsyncCallback<Boolean> callback);
}
